"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const _Symbol = require("./_Symbol.js");
const _getRawTag = require("./_getRawTag.js");
const _objectToString = require("./_objectToString.js");
var Symbol$1 = _Symbol._Symbol, getRawTag = _getRawTag._getRawTag, objectToString = _objectToString._objectToString;
var nullTag = "[object Null]", undefinedTag = "[object Undefined]";
var symToStringTag = Symbol$1 ? Symbol$1.toStringTag : void 0;
function baseGetTag(value) {
  if (value == null) {
    return value === void 0 ? undefinedTag : nullTag;
  }
  return symToStringTag && symToStringTag in Object(value) ? getRawTag(value) : objectToString(value);
}
var _baseGetTag = baseGetTag;
exports._baseGetTag = _baseGetTag;
